---
- entityDefinitions:
  - IDR_Translation__has__Translation_Value: '{F9B60C00-FF1D-438F-AC74-6EDFA8DD7324}'
  - IDR_Translation_Value__for__Translation: '{458c218a-9965-44ba-884b-deda5bf2931d}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:    '&IDC_Translation;'
    name:      Translation
    index:     1502
    registerForTemplate: yes
    # customTagName: translation
    # instancesLabeledByRAMB: '&IDMB_Method_Binding__get__Executes_Method_and_Method_Type_RAMB;'
    # defaultTask: '&IDI_Task_ViewTranslation;'
    # relatedTasks:
    # - instance: '&IDI_Task_ViewTranslation;'
    # - instance: '&IDI_Task_EditTranslation;'
    relationships: # FIXME: remove this when we can properly inherit definitions in zq-python
    - instance: '&IDR_Translation__has__Translation_Value;'
      customTagName: 'values'
      
  - relationship: '&IDR_Translation__has__Translation_Value;'
    sourceClassId: '&IDC_Translation;'
    type: 'has'
    destinationClassId: '&IDC_TranslationValue;'
    siblingRelationshipId: '&IDR_Translation_Value__for__Translation;'
    singular: no

  - relationship: '&IDR_Translation_Value__for__Translation;'
    sourceClassId: '&IDC_TranslationValue;'
    type: 'for'
    destinationClassId: '&IDC_Translation;'
    siblingRelationshipId: '&IDR_Translation__has__Translation_Value;'
    singular: no
